Announcement

Collapse
No announcement yet.

Strange Error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Strange Error

    I've never seen anything like this before.

    I upgraded one of my sites that was still running 3.6.8 to RC 1.


    Once upgraded, I had the issue with the text CSS "shade" so I went to the Main CSS to change the gray to black and when I clicked on save, I got this

    Required variables have gone missing and execution can not continue. Please try again.

    This error can sometimes occur as a result of Suhosin / Hardened PHP being installed on your server. If you know that you have Suhosin running and you have access to the PHP configuration, try increasing the value of the following variables:

    * php_value suhosin.post.max_vars
    * php_value suhosin.request.max_vars
    I've never seen anything like this, and no, I don't have access to the php settings on the server.

    Skip

  • #2
    Ask your hosting provider to confirm you're running Suhosin and if so, if they can increase those values.

    Comment


    • #3
      Is this a change between 3.7 B6 and RC1?

      I have 6 running on the same server now.

      1: 3.6.8
      2: 3.7 B4
      3: 3.7 B5
      4: 3.7 B5
      5: 3.7 B6
      6: 3.7 RC1


      Up till now I've not had a problem with soshin or whatever that is.

      Skip

      Comment


      • #4
        Please note that if you have 6 instances running you require 6 licenses.

        Comment


        • #5
          Originally posted by Floris View Post
          Please note that if you have 6 instances running you require 6 licenses.
          I have 6 licenses.

          I take that back, I have 7 licenses, and all 7 are on the same server. Reseller account.

          That doesn't answer my question.

          Has something changed between version 3.7 B6 and 3.7 RC1 that is going to require me changing server settings. I need to know that before upgrading the others.

          Suhosin and if so, if they can increase those values
          If it is indeed a change that needs the server settings changed to run vB, then a: I need to know what to tell him to change those values to? Simply asking him to change values isn't very specific. What is the requirement?

          Another thing that would be helpful is to know what settings are predicted we'll need by the time this release is final? I'm sure my host aquires some kind of cost when he has to change these things. Undoubtably it would be cheaper on him if we knew ahead of time what the list of requirements are going to be so we can get them all changed at the same time.

          Skip
          Last edited by Skipsoutdoors; Sun 23rd Mar '08, 11:27am.

          Comment


          • #6
            I have 7 licenses, and all 7 are on the same server.
            sweet

            Has something changed between version 3.7 B6 and 3.7 RC1 that is going to require me changing server settings.
            i haven't heeard or read anything about this.

            Comment


            • #7
              Now that we are done accusing me of being a thief, how about let's figure out what's going on here to cause the problem.

              What is suhosin?

              What is the value supposed to be?

              Why would it have asked for it to be increased on this particular site and not the other 6?

              Can I expect to have to change that when or if I choose to upgrade the others to RC1?

              Skip

              Comment


              • #8
                I did not accuse you of anything, I pointed a situation out. We run into many customers daily that have multiple setups without licenses. If I wanted to accuse you, you would have received a DMCA notification without me checking. But that's not how we do our business.

                I am not a developer, I do not know what values are required. Sorry. 3.7 is in development and unsupported.

                Comment


                • #9
                  This is a new error message. It was added to prevent an error generally caused by Suhosin. It should've triggered a PHP error in B6, etc before. Or if it didn't trigger an error, updates might not have gone through properly. Try changing a style on a different board and see if the change applies

                  What Suhosin does (in this case) is drop variables unexpectedly. Suhosin configuration is a soft science. The values that these variables need to be changed to does vary. Try adding the following to an .htaccess file in your main forum directory:
                  Code:
                  php_value suhosin.post.max_vars 2000
                  php_value suhosin.request.max_vars 2000
                  If that doesn't help, look at your PHP info to see if the "local value" for suhosin.post.max_vars is 2000. If the value is there, but not 2000, you will need to ask your host to increase the value. If the value is not there, then Suhosin isn't installed and we need to figure out why the dostyleid variable is being wiped out.

                  Comment


                  • #10
                    Originally posted by Mike Sullivan View Post
                    This is a new error message. It was added to prevent an error generally caused by Suhosin. It should've triggered a PHP error in B6, etc before. Or if it didn't trigger an error, updates might not have gone through properly. Try changing a style on a different board and see if the change applies

                    What Suhosin does (in this case) is drop variables unexpectedly. Suhosin configuration is a soft science. The values that these variables need to be changed to does vary. Try adding the following to an .htaccess file in your main forum directory:
                    Code:
                    php_value suhosin.post.max_vars 2000
                    php_value suhosin.request.max_vars 2000
                    If that doesn't help, look at your PHP info to see if the "local value" for suhosin.post.max_vars is 2000. If the value is there, but not 2000, you will need to ask your host to increase the value. If the value is not there, then Suhosin isn't installed and we need to figure out why the dostyleid variable is being wiped out.
                    Thanks Mike.

                    The change I was making that made the error show up was changing the "Shade" text to black. I've had to do that with all previous sites except one that I was dumb enough to go in and edit the shade templates to smallfont. The only place I've noticed the shade text being used is some of the boxes in the member pages. This is probably for another discussion, but I don't see why that's not with the smallfont in the css.

                    The one running 3.7B6 was changed exactly like I was doing on the 3.7 RC1.

                    I'll shoot an e-mail to my host and see what I can find out about the server's set up. By a long stretch, I'm not a server mechanic.

                    Skip

                    Comment


                    • #11
                      I spoke with my host on the phone this morning and he told me to put a php.ini file into my root directory with the variables you put in your post. I did that, still didn't fix it.

                      I also tried pasting that in the htaccess file, and no fix there.

                      I know there was a little php fault that occured with the 3.7 B6 and using vBadvanced, but I worked through that one.

                      I may eventually figure this out, but in the mean time, I'm getting ready to purchase 1 maybe 2 more licenses to develop sites for clients. I would like to use 3.7 B5 or B6 as I know they work with the server I have, maybe later this will get sorted out, but for now I need what works.

                      Would it be possible to allow in the download options the option to download B5 or B6 untill this gets sorted out?

                      Skip

                      Comment


                      • #12
                        Given the bugs that are in previous betas, I have no desire to allow them to be downloadable. Plus they're even less supported than this release.

                        If you would like, I can try to login to the server to look into this issue. I will need access to an admin account so I can reproduce the issue and FTP access so I can try to diagnose the problem.

                        Comment


                        • #13
                          Fixed
                          Last edited by Aaron217; Sun 18th May '08, 12:23am.

                          Comment

                          widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                          Working...
                          X